gf2n.h File Reference

Classes and functions for schemes over GF(2^n) More...

Go to the source code of this file.

## Classes

class | PolynomialMod2
| Polynomial with Coefficients in GF(2) More...
class | PolynomialMod2::DivideByZero
| Exception thrown when divide by zero is encountered. More...
class | GF2NP
| GF(2^n) with Polynomial Basis. More...
class | GF2NT
| GF(2^n) with Trinomial Basis. More...
class | GF2NT233
| GF(2^n) for b233 and k233. More...
class | GF2NPP
| GF(2^n) with Pentanomial Basis. More...

## Functions

bool | operator== (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
bool | operator!= (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
bool | operator> (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
| compares degree
bool | operator>= (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
| compares degree
bool | operator< (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
| compares degree
bool | operator<= (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
| compares degree
inline ::PolynomialMod2 | operator& (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
inline ::PolynomialMod2 | operator^ (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
inline ::PolynomialMod2 | operator+ (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
inline ::PolynomialMod2 | operator- (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
inline ::PolynomialMod2 | operator* (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
inline ::PolynomialMod2 | operator/ (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
inline ::PolynomialMod2 | operator% (const ::PolynomialMod2 &a, const ::PolynomialMod2 &b)
CRYPTOPP_DLL GF2NP * | BERDecodeGF2NP (BufferedTransformation &bt)
template<>
void | swap (::PolynomialMod2 &a, ::PolynomialMod2 &b)

## Variables

| AbstractGroup< PolynomialMod2 >
| AbstractRing< PolynomialMod2 >
| AbstractEuclideanDomain< PolynomialMod2 >
| EuclideanDomainOf< PolynomialMod2 >
| QuotientRing< EuclideanDomainOf< PolynomialMod2 > >

## Detailed Description

Classes and functions for schemes over GF(2^n)

Definition in file gf2n.h.

## Function Documentation

## operator==()

bool operator== | ( | const ::PolynomialMod2 & | a,
|  | const ::PolynomialMod2 & | b
| ) |  |

inline

Definition at line 257 of file gf2n.h.

## operator!=()

bool operator!= | ( | const ::PolynomialMod2 & | a,
|  | const ::PolynomialMod2 & | b
| ) |  |

inline

Definition at line 260 of file gf2n.h.

## operator>()

bool operator> | ( | const ::PolynomialMod2 & | a,
|  | const ::PolynomialMod2 & | b
| ) |  |

inline

compares degree

Definition at line 263 of file gf2n.h.

## operator>=()

bool operator>= | ( | const ::PolynomialMod2 & | a,
|  | const ::PolynomialMod2 & | b
| ) |  |

inline

compares degree

Definition at line 266 of file gf2n.h.

## operator<()

bool operator< | ( | const ::PolynomialMod2 & | a,
|  | const ::PolynomialMod2 & | b
| ) |  |

inline

compares degree

Definition at line 269 of file gf2n.h.

## operator<=()

bool operator<= | ( | const ::PolynomialMod2 & | a,
|  | const ::PolynomialMod2 & | b
| ) |  |

inline

compares degree

Definition at line 272 of file gf2n.h.

## operator&()

inline ::PolynomialMod2 operator& | ( | const ::PolynomialMod2 & | a,
|  | const ::PolynomialMod2 & | b
| ) |  |

Definition at line 275 of file gf2n.h.

## operator^()

inline ::PolynomialMod2 operator^ | ( | const ::PolynomialMod2 & | a,
|  | const ::PolynomialMod2 & | b
| ) |  |

Definition at line 277 of file gf2n.h.

## operator+()

inline ::PolynomialMod2 operator+ | ( | const ::PolynomialMod2 & | a,
|  | const ::PolynomialMod2 & | b
| ) |  |

Definition at line 279 of file gf2n.h.

## operator-()

inline ::PolynomialMod2 operator- | ( | const ::PolynomialMod2 & | a,
|  | const ::PolynomialMod2 & | b
| ) |  |

Definition at line 281 of file gf2n.h.

## operator*()

inline ::PolynomialMod2 operator* | ( | const ::PolynomialMod2 & | a,
|  | const ::PolynomialMod2 & | b
| ) |  |

Definition at line 283 of file gf2n.h.

## operator/()

inline ::PolynomialMod2 operator/ | ( | const ::PolynomialMod2 & | a,
|  | const ::PolynomialMod2 & | b
| ) |  |

Definition at line 285 of file gf2n.h.

## operator%()

inline ::PolynomialMod2 operator% | ( | const ::PolynomialMod2 & | a,
|  | const ::PolynomialMod2 & | b
| ) |  |

Definition at line 287 of file gf2n.h.

## swap()

template<>

void swap | ( | ::PolynomialMod2 & | a,
|  | ::PolynomialMod2 & | b
| ) |  |

inline

Definition at line 395 of file gf2n.h.

## Variable Documentation

## AbstractGroup< PolynomialMod2 >

AbstractGroup< PolynomialMod2 >

Definition at line 287 of file gf2n.h.

## AbstractRing< PolynomialMod2 >

AbstractRing< PolynomialMod2 >

Definition at line 287 of file gf2n.h.

## AbstractEuclideanDomain< PolynomialMod2 >

AbstractEuclideanDomain< PolynomialMod2 >

Definition at line 287 of file gf2n.h.

## EuclideanDomainOf< PolynomialMod2 >

EuclideanDomainOf< PolynomialMod2 >

Definition at line 287 of file gf2n.h.

## QuotientRing< EuclideanDomainOf< PolynomialMod2 > >

QuotientRing< EuclideanDomainOf< PolynomialMod2 > >

Definition at line 287 of file gf2n.h.